/// <reference types="node" />
import { Beet, SupportedTypeDefinition } from './types';
export declare const fixedSizeUtf8String: (stringByteLength: number) => Beet<string>;
export declare function fixedSizeArray<T>(element: Beet<T>, len: number, lenPrefix?: boolean): Beet<T[]>;
export declare function fixedSizeBuffer(bytes: number): Beet<Buffer>;
export declare function fixedSizeUint8Array(len: number): Beet<Uint8Array>;
export declare type CollectionsExports = keyof typeof import('./collections');
export declare type CollectionsTypeMapKey = 'string' | 'Array' | 'Buffer' | 'Uint8Array';
export declare type CollectionsTypeMap = Record<CollectionsTypeMapKey, SupportedTypeDefinition & {
    beet: CollectionsExports;
}>;
export declare const collectionsTypeMap: CollectionsTypeMap;
