import { bignum, Beet, SupportedTypeDefinition } from './types';
export declare const u8: Beet<number>;
export declare const u16: Beet<number>;
export declare const u32: Beet<number>;
export declare const u64: Beet<bignum>;
export declare const u128: Beet<bignum>;
export declare const u256: Beet<bignum>;
export declare const u512: Beet<bignum>;
export declare const i8: Beet<number>;
export declare const i16: Beet<number>;
export declare const i32: Beet<number>;
export declare const bool: Beet<boolean>;
export declare type NumbersExports = keyof typeof import('./numbers');
export declare type NumbersTypeMapKey = 'u8' | 'u16' | 'u32' | 'u64' | 'u128' | 'u256' | 'u512' | 'i8' | 'i16' | 'i32' | 'bool';
export declare type NumbersTypeMap = Record<NumbersTypeMapKey, SupportedTypeDefinition & {
    beet: NumbersExports;
}>;
export declare const numbersTypeMap: NumbersTypeMap;
